| Version: 3.2.5

Classes | Macros | Variables
datetime.h File Reference

## Classes

class | wxDateTime
| wxDateTime class represents an absolute moment in time. More...
class | wxDateTime::TimeZone
| Class representing a time zone. More...
struct | wxDateTime::Tm
| Contains broken down date-time representation. More...
class | wxDateTimeWorkDays
class | wxDateSpan
| This class is a "logical time span" and is useful for implementing program logic for such things as "add one month to the date" which, in general, doesn't mean to add 60*60*24*31 seconds to it, but to take the same date the next month (to understand that this is indeed different consider adding one month to Feb, 15 – we want to get Mar, 15, of course). More...
class | wxTimeSpan
| wxTimeSpan class represents a time interval. More...
class | wxDateTimeHolidayAuthority

## Macros

#define | wxInvalidDateTime wxDefaultDateTime

## Variables

const wxDateTime | wxDefaultDateTime
| Global instance of an empty wxDateTime object. More...

## Macro Definition Documentation

## ◆ wxInvalidDateTime

#define wxInvalidDateTime wxDefaultDateTime

## Variable Documentation

## ◆ wxDefaultDateTime

const wxDateTime wxDefaultDateTime

Global instance of an empty wxDateTime object.

Todo:
  Would it be better to rename this wxNullDateTime so it's consistent with the rest of the "empty/invalid/null" global objects?